"use strict";
var Helper = require('../Helper');

var CustomMapOptions = require('../../../main/js/map/CustomMapOptions');
var chai = require('chai');
var assert = chai.assert;
var logger = require('../logger');

describe('CustomMapOptions', function() {
  var helper;
  before(function() {
    helper = new Helper();
  });

  it("contructor with invalid arg", function() {
    new CustomMapOptions({
      markerOptimization : 12,
      bigLogo : "some strange string",
      hideDiv : "some div ide",
      customTouchInterface : "strange param",
      debug : "unk boolean"
    });
    assert.equal(2, logger.getErrors().length);
    assert.equal(4, logger.getWarnings().length);
  });

  it("contructor with valid arg", function() {
    var project = helper.createProject();
    new CustomMapOptions({
      map : {},
      project: project,
      debug : false,
    });

    assert.equal(0, logger.getErrors().length);
    assert.equal(0, logger.getWarnings().length);
  });
});
