"use strict";

var Reaction = require('../../../../main/js/map/data/Reaction');
var assert = require('assert');

var logger = require('../../logger');

describe('Reaction', function() {

  it("contructor", function() {
    var javaObject = {
      lines : [ {
        start : Object,
        end : Object,
        type : "START"
      }, {
        start : Object,
        end : Object,
        type : "END"
      }, {
        start : Object,
        end : Object,
        type : "MIDDLE"
      } ],
      modelId : 319,
      idObject : "13178"
    };
    var reaction = new Reaction(javaObject);
    assert.ok(reaction);
    assert.ok(reaction.getId());
  });
  it("contructor from invalid", function() {
    var javaObject = {
      lines : [ {
        start : Object,
        end : Object,
        type : "UNK"
      } ],
    
    };
    new Reaction(javaObject);
    assert.equal(logger.getErrors().length, 2);
  });

  it("contructor from Reaction", function() {
    var javaObject = {
      centerPoint : {
        x : 1,
        y : 2
      },
      lines : [ {
        start : Object,
        end : Object,
        type : "START"
      }, {
        start : Object,
        end : Object,
        type : "END"
      }, {
        start : Object,
        end : Object,
        type : "MIDDLE"
      } ],
      modelId : 319,
      idObject : "13178"
    };
    var reaction = new Reaction(javaObject);
    var reaction2 = new Reaction(reaction);
    assert.equal(reaction2.getId(), reaction.getId());
    assert.equal(reaction2.getCenter(), reaction.getCenter());
    assert.equal(reaction2.getModelId(), reaction.getModelId());
    assert.deepEqual(reaction2.getLines(), reaction.getLines());
  });
});
