"use strict";

var Helper = require('../../Helper');

var Alias = require('../../../../main/js/map/data/Alias');
var AliasMarker = require('../../../../main/js/map/marker/AliasMarker');
var assert = require('assert');

describe('AliasMarker', function() {
  var helper;
  before(function() {
    helper = new Helper();
  });


  it("Constructor", function() {
    var aliasId = 97;
    var map = helper.createAbstractCustomMap();

    var aliasMarker = new AliasMarker(aliasId, "empty.png", null, map);

    assert.equal(aliasId, aliasMarker.getId());
    assert.equal(map, aliasMarker.getCustomMap());
    assert.equal("empty.png", aliasMarker.getIcon());
    assert.equal(null, aliasMarker.getAliasData());

    assert.equal(null, aliasMarker._marker);
    assert.equal(null, aliasMarker.getBounds());
  });

  it("init", function() {
    var aliasId = 97;
    var map = helper.createAbstractCustomMap();

    var aliasObj = {
      idObject : 32,
      modelId : map.id,
      bounds : {
        x : 10.0,
        y : 20.0,
        width : 30.0,
        height : 40.0
      },
    };

    var data = new Alias(aliasObj);
    var aliasMarker = new AliasMarker(aliasId, "empty.png", null, map);
    aliasMarker.setAliasData(data);
    aliasMarker.init();

    assert.ok(aliasMarker._marker);
    assert.ok(aliasMarker.getBounds());
  });
});
